package verify_ejb_dep_problem.ejb;

import javax.ejb.embeddable.EJBContainer;
import javax.naming.Context;
import javax.naming.NamingException;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

public class EmbeddedEjbTestCase {

	static EJBContainer container;

	@BeforeClass
	public static void initEjbContainer() {
		container = EJBContainer.createEJBContainer();
	}

	@Test
	public void canLookupAnEjb() throws NamingException {
		Context ctx = container.getContext();
		MySessionEjb ejb = (MySessionEjb) ctx
				.lookup("java:global/classes/MySessionEjb");
	}

	@AfterClass
	public static void closeEjbContainer() {
		container.close();
	}

}
